Subject: Re: [Patch 1/2] IB/mlx5: Implementation of PCI error handler

From: Carol Soto <[email-masked]>
Date: Thu, 13 Mar 2014 10:12:19 -0500

On 3/13/2014 1:45 AM, Eli Cohen wrote:
> On Wed, Mar 12, 2014 at 06:34:12PM +0000, Ben Hutchings wrote:
>>>   
>>>   enum {
>>> -       /* one minute for the sake of bringup. Generally, commands must always
>>> +       /* 10 msecs for the sake of bringup. Generally, commands must always
>>>           * complete and we may need to increase this timeout value
>>>           */
>>> -       MLX5_CMD_TIMEOUT_MSEC   = 7200 * 1000,
>>> +       MLX5_CMD_TIMEOUT_MSEC   = 10 * 1000,
>> You seem to be changing the timeout from 2 hours (not one minute) to 10
>> seconds (not milliseconds).
>>
> Thanks for noting this. Actually, the time should remain 2 hours and
> the comment should be fixed. Also note that long time/missing
> completion of a command is, genrallly, not indicative of a PCI error.
> If that happens, we would want to have enough time to do diagnostics
> before timing out.
>
Hi Eli

In mlx4 code, I do not recall a timeout for commands this big. So the 
reason in mlx5 is 2 hrs is just for
debugging purposes? So if for any reason a command hang then the user 
can not remove this module
for the next 2 hrs?

Carol

--
To unsubscribe from this list: send the line "unsubscribe linux-rdma" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html